#import "~/graphql_shared/fragments/page_info.fragment.graphql"

query getOrganizationProjects(
  $id: OrganizationsOrganizationID!
  $first: Int
  $last: Int
  $before: String
  $after: String
) {
  organization(id: $id) {
    id
    projects(first: $first, last: $last, before: $before, after: $after) {
      nodes {
        id
        nameWithNamespace
        webUrl
        topics
        forksCount
        avatarUrl
        starCount
        visibility
        openMergeRequestsCount
        openIssuesCount
        descriptionHtml
        mergeRequestsAccessLevel {
          stringValue
        }
        issuesAccessLevel {
          stringValue
        }
        forkingAccessLevel {
          stringValue
        }
        userPermissions {
          removeProject
        }
      }
      pageInfo {
        ...PageInfo
      }
    }
  }
}
